//
//  IZFirstViewController.h
//  Instazam
//
//  Created by Isaac Schmidt on 4/11/12.
//  Copyright (c) 2012 Schmidt Consulting, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface IZUploadViewController : UIViewController <UINavigationControllerDelegate, UIImagePickerControllerDelegate, UITextFieldDelegate>

@property (weak, nonatomic) IBOutlet UIImageView *imageView;
@property (weak, nonatomic) IBOutlet UITextField *commentField;
@property (weak, nonatomic) IBOutlet UIButton *chooseImageButton;
@property (weak, nonatomic) IBOutlet UIButton *uploadImageButton;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *activityIndicator;
@property (weak, nonatomic) IBOutlet UIProgressView *progressIndicator;
@property (strong, nonatomic) UIPopoverController *pickerPopover;
@property (weak, nonatomic) IBOutlet UILabel *uploadStatusLabel;

- (IBAction)didPressChooseButton:(id)sender;
- (IBAction)didPressUploadButton:(id)sender;

@end
